.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the Container.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_Container:

Container
=========

**Inherits:** :ref:`Control<class_control>` **<** :ref:`CanvasItem<class_canvasitem>` **<** :ref:`Node<class_node>` **<** :ref:`Object<class_object>`

**Inherited By:** :ref:`PanelContainer<class_panelcontainer>`, :ref:`GridContainer<class_gridcontainer>`, :ref:`ScrollContainer<class_scrollcontainer>`, :ref:`ViewportContainer<class_viewportcontainer>`, :ref:`MarginContainer<class_margincontainer>`, :ref:`CenterContainer<class_centercontainer>`, :ref:`GraphNode<class_graphnode>`, :ref:`SplitContainer<class_splitcontainer>`, :ref:`BoxContainer<class_boxcontainer>`

**Category:** Core

Brief Description
-----------------

Base node for containers.

Member Functions
----------------

+-------+---------------------------------------------------------------------------------------------------------------------------------------------+
| void  | :ref:`fit_child_in_rect<class_Container_fit_child_in_rect>` **(** :ref:`Control<class_control>` child, :ref:`Rect2<class_rect2>` rect **)** |
+-------+---------------------------------------------------------------------------------------------------------------------------------------------+
| void  | :ref:`queue_sort<class_Container_queue_sort>` **(** **)**                                                                                   |
+-------+---------------------------------------------------------------------------------------------------------------------------------------------+

Signals
-------

.. _class_Container_sort_children:

- **sort_children** **(** **)**

Emitted when sorting the children is needed.


Numeric Constants
-----------------

- **NOTIFICATION_SORT_CHILDREN** = **50** --- Notification for when sorting the children, it must be obeyed immediately.

Description
-----------

Base node for containers. A ``Container`` contains other controls and automatically arranges them in a certain way.

A Control can inherit this to create custom container classes.

Member Function Description
---------------------------

.. _class_Container_fit_child_in_rect:

- void **fit_child_in_rect** **(** :ref:`Control<class_control>` child, :ref:`Rect2<class_rect2>` rect **)**

Fit a child control in a given rect. This is mainly a helper for creating custom container classes.

.. _class_Container_queue_sort:

- void **queue_sort** **(** **)**

Queue resort of the contained children. This is called automatically anyway, but can be called upon request.


